RestoreRedundancyRequest (Apache Geode 1.15.4)

org.apache.geode.management.operation

## Class RestoreRedundancyRequest

- java.lang.Object
- - org.apache.geode.management.operation.RestoreRedundancyRequest

- All Implemented Interfaces:
    Serializable, ClusterManagementOperation<RestoreRedundancyResults>, JsonSerializable

      @Experimental
      public class RestoreRedundancyRequest
      extends Object
      implements ClusterManagementOperation<RestoreRedundancyResults>

  Defines a distributed system request to optimize bucket allocation across members. RestoreRedundancyRequest - is part of an experimental API for performing operations on GEODE using a REST interface. This API is experimental and may change.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESTORE_REDUNDANCY_ENDPOINT` see `getEndpoint()`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestoreRedundancyRequest()` By default, requests all partitioned regions to have redundancy restored
    `RestoreRedundancyRequest(RestoreRedundancyRequest other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEndpoint()` must match the REST controller's RequestMapping
    `List<String>` | `getExcludeRegions()` Returns the list of regions NOT to have redundancy restored (iff `getIncludeRegions()` is empty)
    `List<String>` | `getIncludeRegions()` Returns the list of regions to have redundancy restored (or an empty list for all-except-excluded)
    `String` | `getOperator()`
    `boolean` | `getReassignPrimaries()`
    `void` | `setExcludeRegions(List<String> excludeRegions)` Excludes specific regions from the restore redundancy, if `getIncludeRegions()` is empty, otherwise has no effect default: no regions are excluded
    `void` | `setIncludeRegions(List<String> includeRegions)` Requests restore redundancy of the specified region(s) only.
    `void` | `setOperator(String operator)`
    `void` | `setReassignPrimaries(boolean reassignPrimaries)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RESTORE_REDUNDANCY_ENDPOINT

          public static final String RESTORE_REDUNDANCY_ENDPOINT

      see `getEndpoint()`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RestoreRedundancyRequest

          public RestoreRedundancyRequest()

      By default, requests all partitioned regions to have redundancy restored

    - #### RestoreRedundancyRequest

          public RestoreRedundancyRequest(RestoreRedundancyRequest other)

      Copy constructor
      Parameters:
        `other` - the `RestoreRedundancyRequest` to be copied

  - ### Method Detail

    - #### getIncludeRegions

          public List<String> getIncludeRegions()

      Returns the list of regions to have redundancy restored (or an empty list for all-except-excluded)
      Returns:
        a list of regions to have redundancy restored (or an empty list for all-except-excluded)

    - #### setIncludeRegions

          public void setIncludeRegions(List<String> includeRegions)

      Requests restore redundancy of the specified region(s) only. When at least one region is specified, this takes precedence over any excluded regions.
      Parameters:
        `includeRegions` - a list of region names to include in the restore redundancy operation

    - #### getExcludeRegions

          public List<String> getExcludeRegions()

      Returns the list of regions NOT to have redundancy restored (iff `getIncludeRegions()` is empty)
      Returns:
        the list of regions NOT to have redundancy restored (iff `getIncludeRegions()` is empty

    - #### setExcludeRegions

          public void setExcludeRegions(List<String> excludeRegions)

      Excludes specific regions from the restore redundancy, if `getIncludeRegions()` is empty, otherwise has no effect default: no regions are excluded
      Parameters:
        `excludeRegions` - a list of region names to exclude from the restore redundancy operation

    - #### setReassignPrimaries

          public void setReassignPrimaries(boolean reassignPrimaries)

    - #### getReassignPrimaries

          public boolean getReassignPrimaries()

    - #### getEndpoint

          public String getEndpoint()

      Description copied from interface: `ClusterManagementOperation`
      must match the REST controller's RequestMapping
      Specified by:
        `getEndpoint` in interface `ClusterManagementOperation<RestoreRedundancyResults>`
      Returns:
        the portion after /management/v1, e.g. /operations/name

    - #### getOperator

          public String getOperator()

      Specified by:
        `getOperator` in interface `ClusterManagementOperation<RestoreRedundancyResults>`

    - #### setOperator

          public void setOperator(String operator)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`